(function( $ ) {
	'use strict';
  	$(function(){
        function get_content_type() {
            var val = $('input[name=content_type]:checked', '#dcc-content-type').val();
            var content_type = '';
            switch(val) {
                case 'html':
                    content_type = 'text/html';
                    break;
                case 'css':
                    content_type = 'text/css';
                    break;
                case 'js':
                    content_type = 'text/javascript';
                    break;
                }
            return content_type;
        }

        var content_type = get_content_type(); 
        if( $('.dcc-editor').length ) {
            var editorSettings = wp.codeEditor.defaultSettings ? _.clone( wp.codeEditor.defaultSettings ) : {};
            editorSettings.codemirror = _.extend(
                {},
                editorSettings.codemirror,
                {
                    indentUnit: 2,
                    tabSize: 2,
                   	mode: content_type,
                }
            );
            var editor = wp.codeEditor.initialize( $('.dcc-editor'), editorSettings );
        }
        $('#dcc-content-type input').on('change', function() {
            content_type = get_content_type();
            editor.codemirror.setOption( 'mode', content_type);
            editor.codemirror.performLint();
        });
    });    
})( jQuery );
