<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://www.devpri.com
 * @since             1.0.0
 * @package           Devpri_Custom_Code
 *
 * @wordpress-plugin
 * Plugin Name:       Devpri Custom Code
 * Description:       A simple plugin to display HTML/CSS/JS custom code.
 * Version:           1.0.0
 * Author:            Devpri
 * Author URI:        https://www.devpri.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       devpri-custom-code
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined(	'WPINC'	) ) {
	die;
}

/**
 * Currently plugin version.
 */
define( 'DCC_PLUGIN_VERSION', '1.0.0' );

/**
 * Plugin name
 */
define( 'DCC_PLUGIN_NAME', 'devpri-custom-code' );

/**
 * Custom Post
 */
define( 'DCC_CUSTOM_POST_NAME', 'devpri_custom_code' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-devpri-custom-code.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_devpri_custom_code() {
	$plugin = new Devpri_Custom_Code();
	$plugin->run();
}
run_devpri_custom_code();
